diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/main-random-variable-stream.cc ns-3.43/src/core/examples/main-random-variable-stream.cc
--- ns-3.42/src/core/examples/main-random-variable-stream.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/main-random-variable-stream.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 Timo Bingmann
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Timo Bingmann <timo.bingmann@student.kit.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/main-test-sync.cc ns-3.43/src/core/examples/main-test-sync.cc
--- ns-3.42/src/core/examples/main-test-sync.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/main-test-sync.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/command-line.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-log-time-format.cc ns-3.43/src/core/examples/sample-log-time-format.cc
--- ns-3.42/src/core/examples/sample-log-time-format.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-log-time-format.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-random-variable.cc ns-3.43/src/core/examples/sample-random-variable.cc
--- ns-3.42/src/core/examples/sample-random-variable.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-random-variable.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 #include "ns3/command-line.h"
 #include "ns3/nstime.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-random-variable-stream.cc ns-3.43/src/core/examples/sample-random-variable-stream.cc
--- ns-3.42/src/core/examples/sample-random-variable-stream.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-random-variable-stream.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 #include "ns3/command-line.h"
 #include "ns3/nstime.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-rng-plot.py ns-3.43/src/core/examples/sample-rng-plot.py
--- ns-3.42/src/core/examples/sample-rng-plot.py	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-rng-plot.py	2024-10-09 16:41:09.856655800 -0700
@@ -1,16 +1,5 @@
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 
 ## @file
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-show-progress.cc ns-3.43/src/core/examples/sample-show-progress.cc
--- ns-3.42/src/core/examples/sample-show-progress.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-show-progress.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2017 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo Carneiro <gjc@inescporto.pt>
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-simulator.cc ns-3.43/src/core/examples/sample-simulator.cc
--- ns-3.42/src/core/examples/sample-simulator.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-simulator.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/sample-simulator.py ns-3.43/src/core/examples/sample-simulator.py
--- ns-3.42/src/core/examples/sample-simulator.py	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/sample-simulator.py	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 #
 # Copyright (c) 2010 INRIA
 #
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation;
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+# SPDX-License-Identifier: GPL-2.0-only
 #
 # Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
 #
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/system-path-examples.cc ns-3.43/src/core/examples/system-path-examples.cc
--- ns-3.42/src/core/examples/system-path-examples.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/system-path-examples.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Peter D. Barnes, Jr. <pdbarnes@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/examples/test-string-value-formatting.cc ns-3.43/src/core/examples/test-string-value-formatting.cc
--- ns-3.42/src/core/examples/test-string-value-formatting.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/examples/test-string-value-formatting.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Tom Henderson
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "ns3/core-module.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/csv-reader.cc ns-3.43/src/core/helper/csv-reader.cc
--- ns-3.42/src/core/helper/csv-reader.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/csv-reader.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/csv-reader.h ns-3.43/src/core/helper/csv-reader.h
--- ns-3.42/src/core/helper/csv-reader.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/csv-reader.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2019 Lawrence Livermore National Laboratory
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathew Bielejeski <bielejeski1@llnl.gov>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/event-garbage-collector.cc ns-3.43/src/core/helper/event-garbage-collector.cc
--- ns-3.42/src/core/helper/event-garbage-collector.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/event-garbage-collector.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/event-garbage-collector.h ns-3.43/src/core/helper/event-garbage-collector.h
--- ns-3.42/src/core/helper/event-garbage-collector.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/event-garbage-collector.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 INESC Porto
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/random-variable-stream-helper.cc ns-3.43/src/core/helper/random-variable-stream-helper.cc
--- ns-3.42/src/core/helper/random-variable-stream-helper.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/random-variable-stream-helper.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #include "random-variable-stream-helper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/helper/random-variable-stream-helper.h ns-3.43/src/core/helper/random-variable-stream-helper.h
--- ns-3.42/src/core/helper/random-variable-stream-helper.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/helper/random-variable-stream-helper.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  */
 #ifndef RANDOM_VARIABLE_STREAM_HELPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/abort.h ns-3.43/src/core/model/abort.h
--- ns-3.42/src/core/model/abort.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/abort.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA, 2010 NICTA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Original author unknown
  *          Quincy Tse <quincy.tse@nicta.com.au>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/ascii-file.cc ns-3.43/src/core/model/ascii-file.cc
--- ns-3.42/src/core/model/ascii-file.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/ascii-file.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/ascii-file.h ns-3.43/src/core/model/ascii-file.h
--- ns-3.42/src/core/model/ascii-file.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/ascii-file.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/ascii-test.h ns-3.43/src/core/model/ascii-test.h
--- ns-3.42/src/core/model/ascii-test.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/ascii-test.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mitch Watrous (watrous@u.washington.edu)
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/assert.h ns-3.43/src/core/model/assert.h
--- ns-3.42/src/core/model/assert.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/assert.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2006 INRIA, 2010 NICTA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  *         Quincy Tse <quincy.tse@nicta.com.au>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/attribute-accessor-helper.h ns-3.43/src/core/model/attribute-accessor-helper.h
--- ns-3.42/src/core/model/attribute-accessor-helper.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/attribute-accessor-helper.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
@@ -117,7 +106,7 @@
  *  Implementation of the templates declared above.
  ***************************************************************/
 
-#include "type-traits.h"
+#include <type_traits>
 
 namespace ns3
 {
@@ -133,7 +122,7 @@
 struct AccessorTrait
 {
     /** The non-const, non reference type. */
-    typedef typename TypeTraits<typename TypeTraits<T>::ReferencedType>::NonConstType Result;
+    using Result = std::remove_cvref_t<T>;
 };
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/attribute.cc ns-3.43/src/core/model/attribute.cc
--- ns-3.42/src/core/model/attribute.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/attribute.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/attribute-construction-list.cc ns-3.43/src/core/model/attribute-construction-list.cc
--- ns-3.42/src/core/model/attribute-construction-list.cc	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/attribute-construction-list.cc	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Mathieu Lacage
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/attribute-construction-list.h ns-3.43/src/core/model/attribute-construction-list.h
--- ns-3.42/src/core/model/attribute-construction-list.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/attribute-construction-list.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Mathieu Lacage
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mathieu Lacage <mathieu.lacage@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/core/model/attribute-container.h ns-3.43/src/core/model/attribute-container.h
--- ns-3.42/src/core/model/attribute-container.h	2024-05-29 15:29:46.928073200 -0700
+++ ns-3.43/src/core/model/attribute-container.h	2024-10-09 16:41:09.856655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Caliola Engineering, LLC.
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jared Dulmage <jared.dulmage@caliola.com>
  */
